Bug 1769609 - Missing openapi CRD definitions for oc explain to work (apiserver-operator)
Summary: Missing openapi CRD definitions for oc explain to work (apiserver-operator)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Service Catalog
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.3.0
Assignee: Joe Lanford
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-07 00:22 UTC by Joe Lanford
Modified: 2020-01-23 11:11 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-23 11:11:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-svcat-apiserver-operator pull 68 'None' 'closed' 'Bug 1769609: Fix Missing openapi CRD definitions for oc explain to work' 2019-11-15 20:28:35 UTC
Red Hat Product Errata RHBA-2020:0062 None None None 2020-01-23 11:11:31 UTC

Comment 2 Fan Jia 2019-11-08 07:54:04 UTC
No nightly build include this fix PR for now

Comment 3 Fan Jia 2019-11-11 03:27:04 UTC
test env:
cv:4.3.0-0.nightly-2019-11-10-165138

test result:
 #oc explain servicecatalogapiserver
KIND:     ServiceCatalogAPIServer
VERSION:  operator.openshift.io/v1

DESCRIPTION:
     <empty>


The explain of "servicecatalogapiserver" worked but the description is "empty", 
verify this bug and open a new one to track the empty "description" problem. https://bugzilla.redhat.com/show_bug.cgi?id=1770109

Comment 5 errata-xmlrpc 2020-01-23 11:11:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0062


Note You need to log in before you can comment on or make changes to this bug.